Bug 11276 - setting "clear all" re-sets "select disks for use"
: setting "clear all" re-sets "select disks for use"
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-vm)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-30 18:15 by
Modified: 2007-04-04 18:26 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-30 18:15:52
Имеются hda и sda (на обоих ничего особо ценного); при установке 20070315 убрал
галку в "Select disks for use" с sda, потом заметил, что не поставил "Clear all
before applying profile" -- и тут едва успел заметить, что при выставлении
галки
"clear" _проставилась_ галка на sda!

Бага скорее тривиальная, но изрядно опасная.
------- Comment #1 From 2007-03-30 18:17:02 -------
Ммм... даже если так задумано (опять снял галку напротив sda, поставил на clear
all -- повторилось) -- опасно, надо что-то придумать.
------- Comment #2 From 2007-03-30 18:18:20 -------
В смысле логично ограничение "clear all..." и зоны деятельности авторазбиватора
теми дисками, которые помечены как разрешённые к.
------- Comment #3 From 2007-03-30 18:38:52 -------
это так задумано, all означает all.
могу выкатывать попап со словами 'будет убиваться всё и на всех дисках'
при попытке поставить там галку.
ограничение удалятора выбранными дисками, в отличие от разбиватора,
реализовать затруднительно: представь raid на двух дисках или
lvm -- либо удалять всё, либо ничего.
------- Comment #4 From 2007-03-30 19:22:44 -------
(In reply to comment #3)
> это так задумано, all означает all.
Может, заодно большими ALL?  А то ведь тупой я взял и не понял ;-)

> могу выкатывать попап со словами 'будет убиваться всё и на всех дисках'
> при попытке поставить там галку.
Давай так.

> ограничение удалятора выбранными дисками, в отличие от разбиватора,
> реализовать затруднительно: представь raid на двух дисках или
> lvm -- либо удалять всё, либо ничего.
Понимаю.  Хотя возможность быренько счистить один диск была бы полезна, лучше
пусть надёжнее, чем удобно, но порой неожиданно.
------- Comment #5 From 2007-04-03 20:23:57 -------
fixed in 0.3-alt10
при выборе clear all выскакивает попап с разъяснением
последствий, список с дисками выбирается весь и делается
неактивным. good enough.
------- Comment #6 From 2007-04-04 18:26:56 -------
Спасибо, посмотрю; если чего лучше придумается -- вылезу отдельно.